apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  resourceVersion: '3678597'
  name: rhel-9-ivory-whale-65
  uid: c240b68a-8f52-4306-93a0-720c8a9329c9
  creationTimestamp: '2025-04-15T06:38:35Z'
  generation: 1
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:dataVolumeTemplates': {}
          'f:instancetype':
            .: {}
            'f:name': {}
          'f:preference':
            .: {}
            'f:name': {}
          'f:runStrategy': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:labels':
                .: {}
                'f:network.kubevirt.io/headlessService': {}
            'f:spec':
              .: {}
              'f:domain':
                .: {}
                'f:devices':
                  .: {}
                  'f:autoattachPodInterface': {}
                  'f:disks': {}
                  'f:interfaces': {}
              'f:networks': {}
              'f:subdomain': {}
              'f:volumes': {}
      manager: Mozilla
      operation: Update
      time: '2025-04-15T06:38:35Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
      manager: virt-controller
      operation: Update
      time: '2025-04-15T06:38:35Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:preferenceRef':
            .: {}
            'f:controllerRevisionRef':
              .: {}
              'f:name': {}
            'f:kind': {}
            'f:name': {}
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:conditions': {}
          .: {}
          'f:ready': {}
          'f:instancetypeRef':
            .: {}
            'f:controllerRevisionRef':
              .: {}
              'f:name': {}
            'f:kind': {}
            'f:name': {}
          'f:volumeSnapshotStatuses': {}
          'f:observedGeneration': {}
          'f:created': {}
          'f:desiredGeneration': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-04-15T06:39:10Z'
  namespace: dholler
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
spec:
  dataVolumeTemplates:
    - metadata:
        creationTimestamp: null
        name: rhel-9-ivory-whale-65-volume
      spec:
        sourceRef:
          kind: DataSource
          name: rhel9
          namespace: openshift-virtualization-os-images
        storage:
          resources:
            requests:
              storage: 30Gi
  instancetype:
    kind: virtualmachineclusterinstancetype
    name: u1.medium
  preference:
    kind: virtualmachineclusterpreference
    name: rhel.9
  runStrategy: Always
  template:
    metadata:
      creationTimestamp: null
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      architecture: amd64
      domain:
        devices:
          autoattachPodInterface: false
          interfaces:
            - macAddress: '02:66:93:00:00:07'
              masquerade: {}
              name: default
        machine:
          type: pc-q35-rhel9.4.0
        resources: {}
      networks:
        - name: default
          pod: {}
      subdomain: headless
      volumes:
        - dataVolume:
            name: rhel-9-ivory-whale-65-volume
          name: rootdisk
        - cloudInitNoCloud:
            userData: |
              #cloud-config
              chpasswd:
                expire: false
              password: hzxo-s8ty-oj1e
              user: rhel
          name: cloudinitdisk
status:
  observedGeneration: 1
  ready: true
  instancetypeRef:
    controllerRevisionRef:
      name: rhel-9-ivory-whale-65-u1.medium-v1beta1-51e31f08-0067-4745-87d5-8d8075c9ccab-1
    kind: virtualmachineclusterinstancetype
    name: u1.medium
  created: true
  desiredGeneration: 1
  preferenceRef:
    controllerRevisionRef:
      name: rhel-9-ivory-whale-65-rhel.9-v1beta1-8918c16d-8fba-49a8-afe1-c861863730b2-1
    kind: virtualmachineclusterpreference
    name: rhel.9
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2025-04-15T06:38:43Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: All of the VMI's DVs are bound and not running
      reason: AllDVsReady
      status: 'True'
      type: DataVolumesReady
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: StorageLiveMigratable
    - lastProbeTime: '2025-04-15T06:39:10Z'
      lastTransitionTime: null
      status: 'True'
      type: AgentConnected
  printableStatus: Running
  volumeSnapshotStatuses:
    - enabled: true
      name: rootdisk
    - enabled: false
      name: cloudinitdisk
      reason: 'Snapshot is not supported for this volumeSource type [cloudinitdisk]'
  runStrategy: Always

